# fn() endsWith
Check whether a string is a suffix of another string.

Defined in | <seqan/sequence.h>
Signature | `bool endsWith(str, suffix);`

## Parameters

`str` | The string to check (A SegmentableConcept).
`suffix` | The suffix to check for (A ContainerConcept).

## Return Values

`bool` | `true` if `suffix` is a suffix of `str`.

## Data Races

Thread safety unknown!

#### Dox Sources

    /*!
     * @fn endsWith
     *
     * @headerfile <seqan/sequence.h>
     *
     * @brief Check whether a string is a suffix of another string.
     *
     * @signature bool endsWith(str, suffix);
     *
     * @param[in] str The string to check (A @link SegmentableConcept @endlink).
     * @param[in] suffix The suffix to check for (A @link ContainerConcept
     *                   @endlink).
     *
     * @return bool <tt>true</tt> if <tt>suffix</tt> is a suffix of <tt>str</tt>.
     */